“Canberra-gtk-module” modülü yüklenemedi.

34

Bugün yükledim:

  1. Ubuntu 12.04
  2. Oracle JDK 7 ve 8
  3. IntelliJ 11.1.4

JAVA_HOME yolumu JDK 7'ye yönlendirecek şekilde kurdum.

IntelliJ'i çalıştırdığımda şu mesajı alırım:

Gtk-Message: Failed to load module "canberra-gtk-module"

Bu bir sorun mu yoksa buna bakabilir miyim?

    
sordu Harrison Brock 30.10.2012 01:44

3 cevap

56

Modülü kurarak bunu çözdüm:

sudo apt-get install libcanberra-gtk-module

Ya da zaten yüklenmişse ve hala hatayı alıyorsanız:

sudo apt-get install libcanberra-gtk-module:i386
    
verilen cevap Harrison Brock 30.10.2012 02:08
3

Bu soru 4 ve 8 aylık. Şimdi Temmuz 2017.

Bir Raspberry Pi 3B çalışan Raspbian Jessie ve Ubuntu 16.04 LTS üzerinde bu hatayı alıyordum.

  

“canberra-gtk-module” modülü yüklenemedi.

Oldukça geneldir.

İyi haber, düzeltmenin kolay olmasıdır. Basitçe şunu girin:

sudo apt-get install libcanberra-gtk-module

bazı şeyler yüklüyor ...

O zaman bir daha ortaya çıkmadı.

    
verilen cevap SDsolar 20.07.2017 10:30
1

Ubuntu MATE'de gtk temasını kullanan bir qt5 uygulamasıyla gerçekleşti

$ ./my-application
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "topmenu-gtk-module"

lib'leri bulalım

$ locate libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/modules/libcanberra-gtk-module.so

LD_LIBRARY_PATH ayarı sorunu çözüyor

$ LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/gtk-3.0/modules:$LD_LIBRARY_PATH ./my-application

veya GTK_MODULES ortam değişkenini kaldırın

$ unset GTK_MODULES; ./my-application
    
verilen cevap neok 08.08.2017 14:40

Etiketlerdeki diğer soruları oku